import type { z } from "zod";
export declare const RelayViews: {
    readonly "vibe-check/history": {
        readonly params: z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>;
        readonly response: z.ZodArray<z.ZodObject<{
            id: z.ZodNumber;
            camperId: z.ZodNumber;
            timestamp: z.ZodString;
            content: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: number;
            content: string;
            camperId: number;
            timestamp: string;
        }, {
            id: number;
            content: string;
            camperId: number;
            timestamp: string;
        }>, "many">;
    };
    readonly "vibe-check/latest": {
        readonly params: z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>;
        readonly response: z.ZodNullable<z.ZodObject<{
            id: z.ZodNumber;
            camperId: z.ZodNumber;
            timestamp: z.ZodString;
            content: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: number;
            content: string;
            camperId: number;
            timestamp: string;
        }, {
            id: number;
            content: string;
            camperId: number;
            timestamp: string;
        }>>;
    };
    readonly "vibe-check/by-id": {
        readonly params: z.ZodObject<{
            id: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: string;
        }, {
            id: string;
        }>;
        readonly response: z.ZodNullable<z.ZodObject<{
            id: z.ZodNumber;
            camperId: z.ZodNumber;
            timestamp: z.ZodString;
            content: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: number;
            content: string;
            camperId: number;
            timestamp: string;
        }, {
            id: number;
            content: string;
            camperId: number;
            timestamp: string;
        }>>;
    };
    readonly "twitch/chat/history": {
        readonly params: z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>;
        readonly response: z.ZodArray<z.ZodReadonly<z.ZodObject<{
            chatRecordId: z.ZodNumber;
            twitchMessageId: z.ZodString;
            twitchParentMessageId: z.ZodNullable<z.ZodString>;
            authorName: z.ZodString;
            content: z.ZodString;
            richContent: z.ZodNullable<z.ZodString>;
            flair: z.ZodArray<z.ZodEnum<["broadcaster", "vip", "mod", "highlighted", "subscriber", "camper", "bot", "firstThisSession", "firstEver"]>, "many">;
            identity: z.ZodReadonly<z.ZodObject<{
                twitchIdentityId: z.ZodNumber;
                twitchId: z.ZodString;
                camper: z.ZodNullable<z.ZodObject<{
                    id: z.ZodNumber;
                    name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                    handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                    color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                    pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                    avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
                }, "strip", z.ZodTypeAny, {
                    color: (string & z.BRAND<"ColorString">) | null;
                    handle: string & z.BRAND<"CamperHandle">;
                    pronouns: (string & z.BRAND<"PronounString">) | null;
                    id: number;
                    name: string & z.BRAND<"CamperDisplayName">;
                    avatarUrl: (string & z.BRAND<"URLString">) | null;
                }, {
                    color: string | null;
                    handle: string;
                    pronouns: string | null;
                    id: number;
                    name: string;
                    avatarUrl: string | null;
                }>>;
                twitchHandle: z.ZodString;
                twitchDisplayName: z.ZodString;
                twitchNameColor: z.ZodString;
                twitchChannelURL: z.ZodString;
                servicesEnabled: z.ZodBoolean;
                servicesAvailable: z.ZodBoolean;
                info: z.ZodObject<{
                    name: z.ZodString;
                    color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                    pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                    avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
                }, "strip", z.ZodTypeAny, {
                    color: string & z.BRAND<"ColorString">;
                    pronouns: (string & z.BRAND<"PronounString">) | null;
                    name: string;
                    avatarURL: (string & z.BRAND<"URLString">) | null;
                }, {
                    color: string;
                    pronouns: string | null;
                    name: string;
                    avatarURL: string | null;
                }>;
            }, "strip", z.ZodTypeAny, {
                camper: {
                    color: (string & z.BRAND<"ColorString">) | null;
                    handle: string & z.BRAND<"CamperHandle">;
                    pronouns: (string & z.BRAND<"PronounString">) | null;
                    id: number;
                    name: string & z.BRAND<"CamperDisplayName">;
                    avatarUrl: (string & z.BRAND<"URLString">) | null;
                } | null;
                twitchIdentityId: number;
                twitchId: string;
                twitchHandle: string;
                twitchDisplayName: string;
                twitchNameColor: string;
                twitchChannelURL: string;
                servicesEnabled: boolean;
                servicesAvailable: boolean;
                info: {
                    color: string & z.BRAND<"ColorString">;
                    pronouns: (string & z.BRAND<"PronounString">) | null;
                    name: string;
                    avatarURL: (string & z.BRAND<"URLString">) | null;
                };
            }, {
                camper: {
                    color: string | null;
                    handle: string;
                    pronouns: string | null;
                    id: number;
                    name: string;
                    avatarUrl: string | null;
                } | null;
                twitchIdentityId: number;
                twitchId: string;
                twitchHandle: string;
                twitchDisplayName: string;
                twitchNameColor: string;
                twitchChannelURL: string;
                servicesEnabled: boolean;
                servicesAvailable: boolean;
                info: {
                    color: string;
                    pronouns: string | null;
                    name: string;
                    avatarURL: string | null;
                };
            }>>;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            content: string;
            chatRecordId: number;
            twitchMessageId: string;
            twitchParentMessageId: string | null;
            authorName: string;
            richContent: string | null;
            flair: ("camper" | "broadcaster" | "vip" | "mod" | "highlighted" | "subscriber" | "bot" | "firstThisSession" | "firstEver")[];
            identity: Readonly<{
                camper: {
                    color: (string & z.BRAND<"ColorString">) | null;
                    handle: string & z.BRAND<"CamperHandle">;
                    pronouns: (string & z.BRAND<"PronounString">) | null;
                    id: number;
                    name: string & z.BRAND<"CamperDisplayName">;
                    avatarUrl: (string & z.BRAND<"URLString">) | null;
                } | null;
                twitchIdentityId: number;
                twitchId: string;
                twitchHandle: string;
                twitchDisplayName: string;
                twitchNameColor: string;
                twitchChannelURL: string;
                servicesEnabled: boolean;
                servicesAvailable: boolean;
                info: {
                    color: string & z.BRAND<"ColorString">;
                    pronouns: (string & z.BRAND<"PronounString">) | null;
                    name: string;
                    avatarURL: (string & z.BRAND<"URLString">) | null;
                };
            }>;
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            content: string;
            chatRecordId: number;
            twitchMessageId: string;
            twitchParentMessageId: string | null;
            authorName: string;
            richContent: string | null;
            flair: ("camper" | "broadcaster" | "vip" | "mod" | "highlighted" | "subscriber" | "bot" | "firstThisSession" | "firstEver")[];
            identity: Readonly<{
                camper: {
                    color: string | null;
                    handle: string;
                    pronouns: string | null;
                    id: number;
                    name: string;
                    avatarUrl: string | null;
                } | null;
                twitchIdentityId: number;
                twitchId: string;
                twitchHandle: string;
                twitchDisplayName: string;
                twitchNameColor: string;
                twitchChannelURL: string;
                servicesEnabled: boolean;
                servicesAvailable: boolean;
                info: {
                    color: string;
                    pronouns: string | null;
                    name: string;
                    avatarURL: string | null;
                };
            }>;
        }>>, "many">;
    };
    readonly "twitch/identity/by-twitch-id": {
        readonly params: z.ZodObject<{
            twitchId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            twitchId: string;
        }, {
            twitchId: string;
        }>;
        readonly response: z.ZodNullable<z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            servicesEnabled: z.ZodBoolean;
            servicesAvailable: z.ZodBoolean;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            servicesEnabled: boolean;
            servicesAvailable: boolean;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            servicesEnabled: boolean;
            servicesAvailable: boolean;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>>;
    };
    readonly "twitch/identity/by-twitch-handle": {
        readonly params: z.ZodObject<{
            twitchHandle: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            twitchHandle: string;
        }, {
            twitchHandle: string;
        }>;
        readonly response: z.ZodNullable<z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            servicesEnabled: z.ZodBoolean;
            servicesAvailable: z.ZodBoolean;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            servicesEnabled: boolean;
            servicesAvailable: boolean;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            servicesEnabled: boolean;
            servicesAvailable: boolean;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>>;
    };
    readonly "twitch/identity/by-camper-id": {
        readonly params: z.ZodObject<{
            camperId: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            camperId: number;
        }, {
            camperId: number;
        }>;
        readonly response: z.ZodNullable<z.ZodReadonly<z.ZodObject<{
            twitchIdentityId: z.ZodNumber;
            twitchId: z.ZodString;
            camper: z.ZodNullable<z.ZodObject<{
                id: z.ZodNumber;
                name: z.ZodBranded<z.ZodString, "CamperDisplayName">;
                handle: z.ZodBranded<z.ZodString, "CamperHandle">;
                color: z.ZodNullable<z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">>;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarUrl: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            }>>;
            twitchHandle: z.ZodString;
            twitchDisplayName: z.ZodString;
            twitchNameColor: z.ZodString;
            twitchChannelURL: z.ZodString;
            servicesEnabled: z.ZodBoolean;
            servicesAvailable: z.ZodBoolean;
            info: z.ZodObject<{
                name: z.ZodString;
                color: z.ZodBranded<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, "ColorString">;
                pronouns: z.ZodNullable<z.ZodBranded<z.ZodString, "PronounString">>;
                avatarURL: z.ZodNullable<z.ZodBranded<z.ZodString, "URLString">>;
            }, "strip", z.ZodTypeAny, {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            }, {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            camper: {
                color: (string & z.BRAND<"ColorString">) | null;
                handle: string & z.BRAND<"CamperHandle">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                id: number;
                name: string & z.BRAND<"CamperDisplayName">;
                avatarUrl: (string & z.BRAND<"URLString">) | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            servicesEnabled: boolean;
            servicesAvailable: boolean;
            info: {
                color: string & z.BRAND<"ColorString">;
                pronouns: (string & z.BRAND<"PronounString">) | null;
                name: string;
                avatarURL: (string & z.BRAND<"URLString">) | null;
            };
        }, {
            camper: {
                color: string | null;
                handle: string;
                pronouns: string | null;
                id: number;
                name: string;
                avatarUrl: string | null;
            } | null;
            twitchIdentityId: number;
            twitchId: string;
            twitchHandle: string;
            twitchDisplayName: string;
            twitchNameColor: string;
            twitchChannelURL: string;
            servicesEnabled: boolean;
            servicesAvailable: boolean;
            info: {
                color: string;
                pronouns: string | null;
                name: string;
                avatarURL: string | null;
            };
        }>>>;
    };
};
export type RelayViewIdentifier = keyof typeof RelayViews;
export type RelayViewParams<T extends RelayViewIdentifier> = z.infer<(typeof RelayViews)[T]["params"]>;
export type RelayViewResponse<T extends RelayViewIdentifier> = z.infer<(typeof RelayViews)[T]["response"]>;
